rsrandazzo

[21SEP18] Release Planning Information for the PMDG 747-8

Recommended Posts

Captains,

During the weekend ahead, we are planning to release the PMDG 747-8 Expansion for our PMDG 747-400 Queen of the Skies II product line.  (Finally! woooooooot! 😋) [Disclaimer: Release is expected- but not guaranteed...stay tuned!]

A few things we want you to know, **before** we get into the drama of the release weekend:

Massive PMDG 747-400 Update:  Our original plan (circa 2012, when the 747 project was launched) was that the PMDG 747-8 Queen of the Skies II would overlay the PMDG 747-400 Queen of the Skies II with the same ease as the PMDG 777-300ER overlaid the PMDG 777-200LR.  Oh how wrong we were...

We were so, so wrong... 

From a technology, the 747-400 and 747-8 are entirely different machines.  Most of this is related to the data and processing functions inherent to the 747-8, and this caused us to have to do a massive amount of reconstruction on the 747-400.  What probably SHOULD have happened, is that we SHOULD have simply announced that the PMDG 747-8 was going to become a stand-alone product and called it a wrap.

We wrestled with this, since we had already told you that the PMDG 747-8 was to be an expansion, so we stuck to that plan and probably absorbed an extra 7-9 months of development time on account of it.

So we are going to publish a full new installer for the PMDG 747-400 Queen of the Skies II and this will be a required installation if you wish to use the PMDG 747-8.  The changes *could* be delivered by micro-updater, but in this instance prefer to draw a bold line to make certain all users wind up in the same version.

 

What is included?:  We are very much focusing our development on the top-end.  Prepar3D v4 gives us the flexibility to include some great functionality that simply doesn't play well on other platforms- and for that reason we are adding PMDG RainMaker to the 747-8 (and soon the 747-400 as well) but we will not be adding RainMaker to Prepar3D v3, FSX or FSX-SE because we do not think those platforms adequately support it.

Here is the matrix for what you can expect:

Prepar3D v4.3+ Users

  • PMDG 747-400 Queen of the Skies II Product Update (estimating Build 3.00.9004)
    • PMDG RainMaker Functionality (release for 747-400 expected approximately Nov, 1.)
  • PMDG 747-8 Queen of the Skies II Expansion Package
    • PMDG RainMaker Functionality
    • PMDG Electronic Flight Bag w/computation features and Airport Mapping.

 

Prepar3D v3,  FSX, and FSX-Steam Edition Users:

  • PMDG 747-400 Queen of the Skies II Product Update (estimating Build 3.00.9004)
  • PMDG 747-8 Queen of the Skies II Expansion Package
    • PMDG Electronic Flight Bag w/computation features and Airport Mapping.

 

As is the norm for PMDG products, FSX users may use their product license in either/both of FSX and FSX-SE, while Prepar3D customers may use their license in either/and/or Prepar3D v3 and Prepar3D v4.  Moving between the two simulation platforms does require the purchase of a license for the desired platform.

 

Speaking of Versions:  Prepar3D Users BEWARE that we have some changes coming:  With the advent of our support for the Prepar3D product line, we have tried very hard to support any possible version that you might wish to use.  We shortly afterward dropped support for v1 and v2 of Prepar3D because it simply wasn't possible for us to maintain compatibility across the product platforms without limiting growth on the top end of the product line.

Fortunately, we haven't run into this with Prepar3D v3 and v4 (yet), but we are starting to see problems across the Prepar3D v4 product line maintaining version between 4.0-4.3.  For this reason, we are updating the product requirements on the PMDG 747-400 Queen of the Skies II and PMDG 747-8 Queen of the Skies II to Prepar3D v4.3.  This doesn't mean it won't run on earlier v4.x versions, but it does mean we won't be able to support you if you have trouble with the product not running in earlier versions and you choose not to be on the latest update of Prepar3D. 

Inevitably there will be users who want to remain with an outdated version of Prepar3D for personal reasons.  If any of our versioning requirements cause you trouble, we apologize- but the vast majority of customers are focused on the newer capabilities of Prepar3D and in order to keep the product line growing and using the latest capabilities we need to keep moving forward as well.

 

Pricing Expectations:

As always, we will not be announcing pricing until release, but I can tell you that pricing will be higher than previous expansion products due in large part to the amount of work required to build the simulation of this truly stunning modern airliner. 

Additionally, effective with the release of the PMDG 747-8 Queen of the Skies II, there will be a small price adjustment to pricing on the base package of the PMDG 747-400 Queen of the Skies II for both FSX (appx. $10) and Prepar3D users (appx $5). 

 

Okay- to wrap up - I think I am going to update my "this is my favorite view of the 747-8" comment from last night.  THIS image...  This one right here, is my favorite.  Mmmmmmmm.......  Beautiful.

PMDG_748F_mountainflying1.jpg

 

 

Edited by rsrandazzo
  • Like 25
  • Upvote 1

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

I hope for a nice go around so that we fully embrace the size of this aircraft.

Share this post


Link to post

What about 4.2? Do I need 4.3? Will it not work with 4.2? I haven't switched and am not planning to...

Edited by bmccumiskey

Share this post


Link to post
Just now, bmccumiskey said:

What about 4.2? Do I need 4.3? Will it not work with 4.2? I haven't switched and am not planning to...

why not properly reading the post before?

Quote

This doesn't mean it won't run on earlier v4.x versions, but it does mean we won't be able to support you if you have trouble with the product not running in earlier versions and you choose not to be on the latest update of Prepar3D.

 

  • Like 6

Share this post


Link to post
3 minutes ago, bmccumiskey said:

What about 4.2? Do I need 4.3? Will it not work with 4.2? I haven't switched and am not planning to...

Rob didn’t say it won’t work. Merely that < v4.3 wont be officially supported. 

Edited by calzonister

Share this post


Link to post
2 minutes ago, Wolfgang Lang said:

why not properly reading the post before?

 

Yes. I read the post. Nothing said anything about 4.2 not working. It just says 4.3 + and was curious if it would still work with 4.2. And saying that the way you did was a little harsh.

Edited by bmccumiskey

Share this post


Link to post
Just now, bmccumiskey said:

Yes. I read the post. Nothing said anything about 4.2 not working. It just says 4.3 + and was curious if it would still work with 4.2

please read again....

  • Upvote 2

Share this post


Link to post
4 minutes ago, calzonister said:

Rob didn’t say it won’t work. Merely that < v4.3 wont be officially supported. 

Alright. Thanks!

Share this post


Link to post

So what you are saying is.... The 747 QOTS II is $5 off currently! lol

Share this post


Link to post

Gents,

Gentle reminder to sign your posts please, we require it...

I'd hate to have to ban anyone during release weekend.  (Well.. there are a few...  🤣)

 

  • Like 4
  • Upvote 1

Share this post


Link to post

Thanks Robert.

I guess I'm updating to 4.3 now, was avoiding it.

Share this post


Link to post

Hey Rob. Thanks so much for the update! So excited! Just wanted to personally say thanks for all that you've done for the community during all this time. My Dad and I have been long time customers for many years 😄 Also, thanks for rainmaker, so excited for those rainy approaches into Frankfurt with the Lufthansa 747-8. 

Thanks again for everything and good luck on the release!

Share this post


Link to post
10 minutes ago, JA806A said:

Thanks Robert.

I guess I'm updating to 4.3 now, was avoiding it.

Avoiding an improvement in performance and visuals doesn‘t make sense xD nothing to regret but a lot to win. 

  • Upvote 1

Share this post


Link to post

Brian,

Thanks!  You will enjoy it, I promise.

 

  • Like 1

Share this post


Link to post

Thx for the kind update now.
Really exciting times ahead.

I do really not understand why people really stay on P3D v1, 2..
P3D is made and known to improve the base package of FSX more and more through the next years and there are SO many features and improvements made in the last couple of versions.

In this case I understand why devs like FlyTampa or others just focus on the actual versions which reduces the time to work on previous versions and give us more possible releases of new products.

Thx and I really hope its today! 🙂

Share this post


Link to post

Alright guys. I have my debit card sitting on my desk and my two saitek throttles calibrated for four engines, I'm locked and loaded. 

Share this post


Link to post

Well Aerosoft has done the same thing with there new airbuses as well.All the Devs would be doing the same thing it just makes sence you can’t stay on p3d 4.2 when 4.3 has been out a while now and before you know it there will be 4.4.So to make adjustments for it just makes absolutely sence.Congratulation PMDG for another fantastic plane.

Share this post


Link to post
3 hours ago, bmccumiskey said:

What about 4.2? Do I need 4.3? Will it not work with 4.2? I haven't switched and am not planning to...

I guess we have been "spoiled by FSX not having got any updates for many years, so in that sense it was a "stable" platform.

Luckily P3D V4.x is constantly evolving.

 

FinnJ

Share this post


Link to post

@rsrandazzo Does the Dash 8 come with its own set of manuals (QRH, FCOM, etc.)?

 

greetings, Phil Tereny

Edited by medic89

Share this post


Link to post

All,

This is the last warning, about unsigned posts. For now on any unsigned post will be deleted

Share this post


Link to post

our hanger has just cleared out the B747 and B77W which have been in maintenance for a delivery experience for the platinum cardholders. they are just cleaning the floor.

Share this post


Link to post
Guest
This topic is now closed to further replies.